Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_list_shift

## Name

librdf_list_shift -- remove and return the data at the start of the list

## Synopsis

``void* `librdf_list_shift`` (librdf_list* `list`);`

## Arguments

`list`

  librdf_list object

## Return value

the data object or NULL if the list is empty

<<< Previous | Home | Next >>>
librdf_list_remove | Up | librdf_list_pop